Package com.logicaldoc.core.searchengine

# Class FulltextSearchOptions

java.lang.Object
com.logicaldoc.core.searchengine.SearchOptions
com.logicaldoc.core.searchengine.FulltextSearchOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchOptions>`

public class FulltextSearchOptions extends SearchOptions
Search options specialization for the Full text search.

Since:
  5.2
Author:
  Matteo Caruso - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.searchengine.SearchOptions

`TYPE_FOLDERS, TYPE_FULLTEXT, TYPE_PARAMETRIC, TYPE_SEMANTIC, TYPE_TAG`

## Constructor Summary

Constructors
Constructor
Description
`FulltextSearchOptions()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(String s)`
`boolean`
`equals(Object obj)`
`Date`
`getCreationFrom()`
`Date`
`getCreationTo()`
`Date`
`getDateFrom()`
`Date`
`getDateTo()`
`String`
`getExpressionLanguage()`
`Set<String>`
`getFields()`
`String`
`getFormat()`
`String`
`getLanguage()`
`Long`
`getSizeMax()`
`Long`
`getSizeMin()`
`int`
`hashCode()`
`void`
`setCreationFrom(Date creationFrom)`
`void`
`setCreationTo(Date creationTo)`
`void`
`setDateFrom(Date dateFrom)`
`void`
`setDateTo(Date dateTo)`
`void`
`setExpressionLanguage(String expressionLanguage)`
`void`
`setFields(Set<String> flds)`
`void`
`setFormat(String form)`
`void`
`setLanguage(String language)`
`void`
`setSizeMax(Long sizeMax)`
`void`
`setSizeMin(Long sizeMin)`

### Methods inherited from class com.logicaldoc.core.searchengine.SearchOptions

`compareTo, getDescription, getExpression, getFilterIds, getFolderId, getMaxHits, getName, getPage, getParameters, getTemplate, getTenantId, getTopOperator, getTransaction, getType, getUserId, isCaseSensitive, isFulltext, isRetrieveAliases, isSearchInSubPath, read, setCaseSensitive, setDescription, setExpression, setFilterIds, setFolderId, setMaxHits, setName, setPage, setParameters, setRetrieveAliases, setSearchInSubPath, setTemplate, setTenantId, setTopOperator, setTransaction, setType, setUserId, toString, write`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FulltextSearchOptions

public FulltextSearchOptions()

## Method Details

### getFormat

public String getFormat()

### getFields

public Set<String> getFields()

### setFormat

public void setFormat(String form)

### setFields

public void setFields(Set<String> flds)

### addField

public void addField(String s)

### getDateTo

public Date getDateTo()

### setDateTo

public void setDateTo(Date dateTo)

### getSizeMin

public Long getSizeMin()

### setSizeMin

public void setSizeMin(Long sizeMin)

### getSizeMax

public Long getSizeMax()

### setSizeMax

public void setSizeMax(Long sizeMax)

### getCreationTo

public Date getCreationTo()

### setCreationTo

public void setCreationTo(Date creationTo)

### getCreationFrom

public Date getCreationFrom()

### setCreationFrom

public void setCreationFrom(Date creationFrom)

### getDateFrom

public Date getDateFrom()

### setDateFrom

public void setDateFrom(Date dateFrom)

### getLanguage

public String getLanguage()

### setLanguage

public void setLanguage(String language)

### getExpressionLanguage

public String getExpressionLanguage()

### setExpressionLanguage

public void setExpressionLanguage(String expressionLanguage)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `SearchOptions`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `SearchOptions`